package com.hotent.project.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.baseInfo.req.CostTaskSearchReq;
import com.hotent.enterpriseDeclare.req.CostTaskPageReq;
import com.hotent.enterpriseDeclare.req.CostTaskReviewPageReq;
import com.hotent.project.model.CostNotice;
import com.hotent.project.model.CostProjectTask;
import com.hotent.base.manager.BaseManager;
import com.hotent.project.model.CostProjectTaskPreliminaryOpinion;

import java.util.List;
import java.util.Map;

/**
 * 项目任务表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-03
 */
public interface CostProjectTaskManager extends BaseManager<CostProjectTask> {


	List<CostProjectTask> getTaskList(CostTaskSearchReq req) throws Exception;

	IPage<CostProjectTask> pageListForReviewTask(CostTaskReviewPageReq req) throws Exception;

	void createOrUpdate(CostProjectTask costProjectTask);

	String saveTask(CostTaskPageReq costTaskPageReq);

	String saveYjTask(CostProjectTaskPreliminaryOpinion costProjectTaskPreliminaryOpinion);

	String doProcessBtn(CostTaskPageReq req);


    List<CostProjectTask> getDoList(String projectId);

	List<Map<String, Object>> getDoChartList(String year, String region);

	List<CostNotice> getDoMsgList();

	IPage<CostProjectTask> pageListForReviewTaskChild(CostTaskReviewPageReq req);

    List<CostProjectTask> findTaskByProjectId(String projectId, String enterpriseId);
}
